This repository has been archived by the owner. It is now read-only.
Permalink
Browse files

eudev-systemdcompat: remove systemd-sysusers

opensysusers: fix install path; make symlink
  • Loading branch information...
udeved
udeved committed Jun 18, 2017
1 parent bc5bce2 commit f4900e52b40b6dc30de2835e4a8ea66c597272c3
Showing with 7 additions and 7 deletions.
  1. +2 −5 eudev-systemdcompat/PKGBUILD
  2. +5 −2 opensysusers/PKGBUILD
@@ -9,7 +9,7 @@ _repo=http://mirror.netcologne.de/archlinux/core/os
pkgbase=eudev-systemdcompat
pkgname=('eudev-systemd' 'libeudev-systemd')
pkgver=232
pkgrel=2
pkgrel=3
arch=('i686' 'x86_64')
license=('GPL2')
url="http://www.freedesktop.org/wiki/Software/systemd"
@@ -29,10 +29,7 @@ package_eudev-systemd() {
conflicts=('systemd-tools' 'systemd' 'eudev-systemdcompat')
replaces=('eudev-systemdcompat')
install -d "$pkgdir"/usr/{bin,lib/systemd}
for f in usr/bin/systemd-sysusers;do #{systemd-tmpfiles,systemd-sysusers};do
mv -v $f "$pkgdir"/usr/bin
done
install -d "$pkgdir"/usr/lib/systemd
for f in usr/lib/systemd/libsystemd-shared*.so*;do
mv -v $f $pkgdir/usr/lib/systemd
done
View
@@ -4,11 +4,12 @@ _url="https://github.com/arch-openrc/opensysusers/archive"
pkgname=opensysusers
pkgver=0.2
pkgrel=1
pkgrel=2
pkgdesc="A standalone utility for handling systemd-style sysusers.d users and groups"
arch=('any')
url="https://github.com/arch-openrc/opensysusers"
license=('BSD2')
groups=('openrc-base')
depends=('shadow')
optdepends=('openrc: update automatically on boot')
source=("${pkgname}-${pkgver}.tar.gz::${_url}/${pkgver}.tar.gz"
@@ -19,6 +20,8 @@ sha256sums=('1094e1120b005110c9e972b7ff391b82707f78f57753b2785a801a64cc7f4e48'
package() {
cd "${srcdir}/${pkgname}-${pkgver}"
make bindir="/usr/bin" DESTDIR="${pkgdir}" install
install -vDm0755 openrc/opensysusers.initd "${pkgdir}"/etc/openrc/init.d/opensysusers
install -vDm0755 openrc/opensysusers.initd "${pkgdir}"/etc/init.d/opensysusers
install -vDm0644 "${srcdir}"/opensysusers.hook "${pkgdir}/usr/share/libalpm/hooks/opensysusers.hook"
ln -snf "/usr/bin/sysusers" "${pkgdir}/usr/bin/systemd-sysusers"
}

1 comment on commit f4900e5

@robin0800

This comment has been minimized.

Show comment
Hide comment
@robin0800

robin0800 Jul 26, 2017

eudev-systemdcompat is no longer in unstable branch it has been replaced by eudev-systemd so why are you updating it?

robin0800 commented on f4900e5 Jul 26, 2017

eudev-systemdcompat is no longer in unstable branch it has been replaced by eudev-systemd so why are you updating it?

Please sign in to comment.